Device Family: Intel® Stratix® 10

Intel Software: Quartus Prime Pro

Type: Answers

Area: Tools


Last Modified: April 07, 2020
Version Found: v19.4
Bug ID: 16010692101

Error (170012): Fitter requires "XXX" LABs to implement the design, but the device contains only "XXX" LABs

Description

Due to a problem in the Intel® Quartus® Prime Pro edition software version 19.4, you may see the above error when using VQM netlist as source for the compilation in Intel® Stratix® 10 Devices.

The Intel Quartus Prime Pro edition software version 19.4 does not support "WYSIWYG primitives " resynthesis. If a VQM File contains WYSIWYG primitives, the Intel Quartus Prime Compiler creates atom representations from those WYSIWYG primitives as it synthesizes the design, so that the atoms preserve the WYSIWYG structure of the netlist file. 

Workaround/Fix

A patch is avaliable to fix this problem for the Intel® Quartus® Prime Pro Edition software version 19.4. Download and install Patch 0.05 from the appropriate link below

Download the version 19.4  Patch 0.05 for Windows(.exe).

Download the version 19.4 Patch 0.05 for Linux (.run).

Download the Readme for Patch 0.05 (.txt).


This problem is scheduled to be fixed in a future release of the Intel® Quartus® Prime Pro Edition software.